#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kshisen
Version: 4.10.2
Summary: Patience game where you take away all pieces
Group: Games/Cards
URL: http://www.kde.org/applications/games/kshisen/
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: libkmahjongg-devel >= 1:%version
Requires: libkdegames-common >= 1:%version
Requires: kmahjongglib >= 1:%version
Suggests: kshisen-handbook


%description
KShisen is a solitaire-like game played using the standard set of Mahjong tiles.
Unlike Mahjong however, KShisen has only one layer of scrambled tiles

%files
%_kde_bindir/kshisen
%_kde_applicationsdir/kshisen.desktop
%_kde_appsdir/kshisen
%_kde_datadir/sounds/kshisen
%_kde_datadir/config.kcfg/kshisen.kcfg
%_kde_iconsdir/hicolor/*/apps/kshisen*

#------------------------------------------------------------------------------

%package -n kshisen-handbook
Summary: Kshisen handbook
Conflicts: kshisen < 1:4.7.1-2
Requires:  kshisen >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n kshisen-handbook
This package provides the Kshisen handbook.

%files -n kshisen-handbook
%_kde_docdir/HTML/en/kshisen

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407257
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401916
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394424
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339511
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334585
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326787
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319360
- imported package kshisen

